/*
This form has a SelectBox and two fields.
She Select has two values: showFieldA and showFieldB

When showFieldA is selected in the Select:
- Textfield fieldA is shown based on the condition => show: false, when: 'select1', eq: 'showFieldB'
  In this case fieldA should be validated and fieldB should not be validated
- Textfield fieldB is shown based on the condition => show: true, when: 'select1', eq: 'showFieldB'
  In this case fieldB should be validated and fieldA should not be validated
*/
export const formWithShowConditionOnFields = {
  display: 'wizard',
  title: 'test',
  name: 'formname',
  type: [
    'form'
  ],
  components: [
    {
      title: 'Page 1',
      label: 'Page 1',
      type: 'panel',
      key: 'page1',
      components: [
        {
          label: 'Select',
          labelPosition: 'top',
          widget: 'choicesjs',
          labelWidth: '',
          labelMargin: '',
          placeholder: '',
          description: '',
          tooltip: '',
          customClass: '',
          tabindex: '',
          hidden: false,
          hideLabel: false,
          uniqueOptions: false,
          autofocus: false,
          disabled: false,
          tableView: true,
          modalEdit: false,
          multiple: false,
          dataSrc: 'values',
          data: {
            values: [
              {
                label: 'show field a',
                value: 'showFieldA'
              },
              {
                label: 'show field b',
                value: 'showFieldB'
              }
            ],
            resource: '',
            json: '',
            url: '',
            custom: ''
          },
          dataType: '',
          idPath: 'id',
          valueProperty: '',
          limit: 100,
          template: '<span>{{ item.label }}</span>',
          refreshOn: '',
          refreshOnBlur: '',
          clearOnRefresh: false,
          searchEnabled: true,
          selectThreshold: 0.3,
          readOnlyValue: false,
          customOptions: {},
          useExactSearch: false,
          persistent: true,
          protected: false,
          dbIndex: false,
          encrypted: false,
          clearOnHide: true,
          customDefaultValue: '',
          calculateValue: '',
          calculateServer: false,
          allowCalculateOverride: false,
          validateOn: 'change',
          validate: {
            required: false,
            onlyAvailableItems: false,
            customMessage: '',
            custom: '',
            customPrivate: false,
            json: '',
            strictDateValidation: false,
            multiple: false,
            unique: false
          },
          errorLabel: '',
          errors: '',
          key: 'select1',
          tags: [],
          properties: {},
          conditional: {
            show: null,
            when: null,
            eq: '',
            json: ''
          },
          customConditional: '',
          logic: [],
          attributes: {},
          overlay: {
            style: '',
            page: '',
            left: '',
            top: '',
            width: '',
            height: ''
          },
          type: 'select',
          indexeddb: {
            filter: {}
          },
          selectFields: '',
          searchField: '',
          searchDebounce: 0.3,
          minSearch: 0,
          filter: '',
          redrawOn: '',
          input: true,
          prefix: '',
          suffix: '',
          unique: false,
          dataGridLabel: false,
          showCharCount: false,
          showWordCount: false,
          allowMultipleMasks: false,
          addons: [],
          lazyLoad: true,
          authenticate: false,
          ignoreCache: false,
          fuseOptions: {
            include: 'score',
            threshold: 0.3
          },
          id: 'e19v8o',
          defaultValue: null
        },
        {
          label: 'Field A',
          labelPosition: 'top',
          labelWidth: '',
          labelMargin: '',
          placeholder: '',
          description: '',
          tooltip: '',
          prefix: '',
          suffix: '',
          widget: {
            type: 'input'
          },
          inputMask: '',
          displayMask: '',
          allowMultipleMasks: false,
          customClass: '',
          tabindex: '',
          autocomplete: '',
          hidden: false,
          hideLabel: false,
          showWordCount: false,
          showCharCount: false,
          mask: false,
          autofocus: false,
          spellcheck: true,
          disabled: false,
          tableView: true,
          modalEdit: false,
          multiple: false,
          persistent: true,
          inputFormat: 'plain',
          protected: false,
          dbIndex: false,
          case: '',
          truncateMultipleSpaces: false,
          encrypted: false,
          redrawOn: '',
          clearOnHide: true,
          customDefaultValue: '',
          calculateValue: '',
          calculateServer: false,
          allowCalculateOverride: false,
          validateOn: 'change',
          validate: {
            required: true,
            minLength: '',
            maxLength: '',
            minWords: '',
            maxWords: '',
            pattern: '',
            customMessage: '',
            custom: '',
            customPrivate: false,
            json: '',
            strictDateValidation: false,
            multiple: false,
            unique: false
          },
          errorLabel: '',
          errors: '',
          key: 'fieldA',
          tags: [],
          properties: {},
          conditional: {
            show: false,
            when: 'select1',
            eq: 'showFieldB',
            json: ''
          },
          customConditional: '',
          logic: [],
          attributes: {},
          overlay: {
            style: '',
            page: '',
            left: '',
            top: '',
            width: '',
            height: ''
          },
          type: 'textfield',
          input: true,
          unique: false,
          refreshOn: '',
          dataGridLabel: false,
          addons: [],
          inputType: 'text',
          id: 'emah7l8j',
          defaultValue: ''
        },
        {
          label: 'Field B',
          labelPosition: 'top',
          labelWidth: '',
          labelMargin: '',
          placeholder: '',
          description: '',
          tooltip: '',
          prefix: '',
          suffix: '',
          widget: {
            type: 'input'
          },
          inputMask: '',
          displayMask: '',
          allowMultipleMasks: false,
          customClass: '',
          tabindex: '',
          autocomplete: '',
          hidden: false,
          hideLabel: false,
          showWordCount: false,
          showCharCount: false,
          mask: false,
          autofocus: false,
          spellcheck: true,
          disabled: false,
          tableView: true,
          modalEdit: false,
          multiple: false,
          persistent: true,
          inputFormat: 'plain',
          protected: false,
          dbIndex: false,
          case: '',
          truncateMultipleSpaces: false,
          encrypted: false,
          redrawOn: '',
          clearOnHide: true,
          customDefaultValue: '',
          calculateValue: '',
          calculateServer: false,
          allowCalculateOverride: false,
          validateOn: 'change',
          validate: {
            required: true,
            minLength: '',
            maxLength: '',
            minWords: '',
            maxWords: '',
            pattern: '',
            customMessage: '',
            custom: '',
            customPrivate: false,
            json: '',
            strictDateValidation: false,
            multiple: false,
            unique: false
          },
          errorLabel: '',
          errors: '',
          key: 'fieldB',
          tags: [],
          properties: {},
          conditional: {
            show: true,
            when: 'select1',
            eq: 'showFieldB',
            json: ''
          },
          customConditional: '',
          logic: [],
          attributes: {},
          overlay: {
            style: '',
            page: '',
            left: '',
            top: '',
            width: '',
            height: ''
          },
          type: 'textfield',
          input: true,
          unique: false,
          refreshOn: '',
          dataGridLabel: false,
          addons: [],
          inputType: 'text',
          id: 'efrl5dk',
          defaultValue: ''
        }
      ],
      input: false,
      placeholder: '',
      prefix: '',
      customClass: '',
      suffix: '',
      multiple: false,
      defaultValue: null,
      protected: false,
      unique: false,
      persistent: false,
      hidden: false,
      clearOnHide: false,
      refreshOn: '',
      redrawOn: '',
      tableView: false,
      modalEdit: false,
      dataGridLabel: false,
      labelPosition: 'top',
      description: '',
      errorLabel: '',
      tooltip: '',
      hideLabel: false,
      tabindex: '',
      disabled: false,
      autofocus: false,
      dbIndex: false,
      customDefaultValue: '',
      calculateValue: '',
      calculateServer: false,
      widget: null,
      attributes: {},
      validateOn: 'change',
      validate: {
        required: false,
        custom: '',
        customPrivate: false,
        strictDateValidation: false,
        multiple: false,
        unique: false
      },
      conditional: {
        show: null,
        when: null,
        eq: ''
      },
      overlay: {
        style: '',
        left: '',
        top: '',
        width: '',
        height: ''
      },
      allowCalculateOverride: false,
      encrypted: false,
      showCharCount: false,
      showWordCount: false,
      properties: {},
      allowMultipleMasks: false,
      addons: [],
      tree: false,
      lazyLoad: false,
      theme: 'default',
      breadcrumb: 'default',
      id: 'e2pyvlc'
    }
  ]
}